oracle.xml.xquery

## Interface OXQHttpResolverFactory

All Superinterfaces:
  OXQEntityResolverFactory

    public interface OXQHttpResolverFactory
    extends OXQEntityResolverFactory

The factory interface for creating entity resolvers for the HTTP protocol. The entity resolver created by this factory responds to all requests which satisfy the following conditions:

1. The requested entity kind is one of `OXQEntityKind.SCHEMA`, `OXQEntityKind.MODULE`, `OXQEntityKind.DOCUMENT`, `OXQEntityKind.XML_ENTITY`, or `OXQEntityKind.TEXT`
2. The entity locator's `system id` is a 'http:' or 'https:' URI
3. The URI does not contain a fragment component (#fragment)

Since:
  12.1

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addExcludedURI(java.net.URI uri)` Specifies a URI that must be ignored by the entity resolver.
`boolean` `getContentTypeFromResponseHeader()` Retrieves whether the media type should be assigned based on the value of the HTTP 'Content-Type' response header.
`java.net.URI[]` `getExcludedURIs()` Retrieves the URIs that will be ignored by the entity resolver.
`boolean` `removeExcludedURI(java.net.URI uri)` Removes the given URI from the exclusion list.
`void` `setContentTypeFromResponseHeader(boolean value)` Sets whether the media type should be assigned based on the value of the HTTP 'Content-Type' response header.

### Methods inherited from interface oracle.xml.xquery.OXQEntityResolverFactory

`createResolver`

### Method Detail

#### addExcludedURI

    void addExcludedURI(java.net.URI uri)

Specifies a URI that must be ignored by the entity resolver.

Parameters:
  `uri` - ignored URI, cannot be `null`
Throws:
  `java.lang.NullPointerException` - if given URI is null
See Also:
  `for URIs excluded by default`

#### removeExcludedURI

    boolean removeExcludedURI(java.net.URI uri)

Removes the given URI from the exclusion list.

Parameters:
  `uri` - URI, cannot be `null`
Returns:
  `true` if given URI existed in the exclusion list, `false` otherwise
Throws:
  `java.lang.NullPointerException` - if given URI is null
See Also:
  `for URIs excluded by default`

#### getExcludedURIs

    java.net.URI[] getExcludedURIs()

Retrieves the URIs that will be ignored by the entity resolver.

By default some well-known URIs are automatically added to the exclusion list. The documents corresponding to those URIs are stored internally by the XQuery processor and resolved by the default entity resolver.

The following URIs are excluded by default:

1. http://www.w3.org/2001/xml.xsd
2. http://www.w3.org/2001/XMLSchema.xsd

Returns:
  array of URIs

#### setContentTypeFromResponseHeader

    void setContentTypeFromResponseHeader(boolean value)

Sets whether the media type should be assigned based on the value of the HTTP 'Content-Type' response header. By default no media type is assigned.

Parameters:
  `value` - `true` to assign media type from HTTP header, `false` otherwise.

#### getContentTypeFromResponseHeader

    boolean getContentTypeFromResponseHeader()

Retrieves whether the media type should be assigned based on the value of the HTTP 'Content-Type' response header.

Returns:
  `true` if media type is assigned by HTTP response header, `false` otherwise.

Copyright © 2003, 2017, Oracle and/or its affiliates. All rights reserved.